## tremulous 1.1.0

=== src/master/Makefile ===
BD_DEBUG=debug-$(PLATFORM)-$(ARCH)
BD_RELEASE=release-$(PLATFORM)-$(ARCH)

ifeq ($(PLATFORM),mingw32)
  BINEXT=.exe
  RELEASE_LDFLAGS=-lwsock32
  DEBUG_LDFLAGS=-lwsock32
  RM=del
  MKDIR=mkdir
else
  BINEXT=
  RELEASE_LDFLAGS=-static -ltdb
  DEBUG_LDFLAGS=-static -ltdb
  RM=rm -f
  MKDIR=mkdir
endif

CC=gcc
RELEASE_CFLAGS=-Wall -O2
DEBUG_CFLAGS=-g
OBJECTS= \
	$(BD)/master.o \
	$(BD)/messages.o \
	$(BD)/stats.o \
	$(BD)/servers.o

release: makedirs
	$(MAKE) $(BD_RELEASE)/tremmaster BD=$(BD_RELEASE) \
	CFLAGS="$(CFLAGS) $(RELEASE_CFLAGS)" LDFLAGS="$(LDFLAGS) $(RELEASE_LDFLAGS)"

debug: makedirs
	$(MAKE) $(BD_DEBUG)/tremmaster BD=$(BD_DEBUG) \
	CFLAGS="$(CFLAGS) $(DEBUG_CFLAGS)" LDFLAGS="$(LDFLAGS) $(DEBUG_LDFLAGS)"

all: release debug

$(BD)/%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

$(BD)/tremmaster: $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(LDFLAGS)

clean:
	-$(RM) $(BD_DEBUG)/*
	-$(RM) $(BD_RELEASE)/*

makedirs:
	@if [ ! -d $(BD_RELEASE) ];then $(MKDIR) $(BD_RELEASE);fi
	@if [ ! -d $(BD_DEBUG) ];then $(MKDIR) $(BD_DEBUG);fi

.PHONY: all clean release debug makedirs

=== debian/changelog ===
tremulous (1.1.0-8~squeeze1) stable; urgency=low

  * Stable update, incorporating a security fix from unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Mar 2012 20:40:49 +0100

tremulous (1.1.0-8) unstable; urgency=medium

  * Backport ioquake3 r1762, r1763, r1898 to rate-limit getstatus and
    rcon connectionless packets, to avoid their use for traffic amplification.
    CVE-2010-5077 (Closes: #665842)
  * Fix an incorrect bug number in revision -6

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 20:33:10 +0100

tremulous (1.1.0-7~squeeze1) stable; urgency=low

  * Stable update (#663104), incorporating security fixes from unstable
  * Fix an incorrect bug number in revision -6

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Mar 2012 13:53:09 +0100

tremulous (1.1.0-7) unstable; urgency=medium

  * Add a lintian override for embedded-library libjpeg (#589407) to avoid
    auto-rejection. It is a valid bug, but is not a regression, and fixing
    several long-standing security vulnerabilities seems more important
    than getting rid of an embedded library that is not known to be
    exploitable.

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Feb 2012 10:00:04 +0000

tremulous (1.1.0-6) unstable; urgency=medium

  * Backport patches from ioquake3 to fix long-standing security bugs:
    - CVE-2006-2082: arbitrary file download from server by a malicious client
      (Closes: #660831)
    - CVE-2006-2236 ("the remapShader exploit"): missing bounds-checking on
      COM_StripExtension, exploitable in clients of a malicious server
      (Closes: #660827)
    - CVE-2006-2875 ("q3cbof"): buffer overflow in CL_ParseDownload by a
      malicious server (Closes: #660830)
    - CVE-2006-3324: arbitrary file overwriting in clients of a malicious
      server (Closes: #660832)
    - CVE-2006-3325: arbitrary cvar overwriting (could lead to arbitrary
      code execution) in clients of a malicious server (Closes: #660834)
    - CVE-2011-3012, CVE-2011-2764: DLL overwriting (leading to arbitrary
      code execution) in clients of a malicious server if auto-downloading
      is enabled (Closes: #660836)
  * As a precaution, disable auto-downloading
  * Backport ioquake3 r1141 to fix a potential buffer overflow in error
    handling (not known to be exploitable, but it can't hurt)
  * Add gcc attributes to all printf- and scanf-like functions, and
    fix non-literal format strings (again, none are known to be exploitable)

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Feb 2012 09:07:37 +0000

tremulous (1.1.0-5) unstable; urgency=low

  * New maintainer - Debian Games Team
  * Set source format to 3.0 (quilt)
  * Separate out patches from previous versions into debian/patches
  * Replace the patch for Bug #382121 with a more complete upstream fix
    from ioquake3 bug 3756, which just uses the OS's memcpy()
  * Apply patch from ioquake3 bug 4331 to fix invalid use of strcpy
    (Closes: #583939)
  * Fix tremulous --help and tremulous-server --help (Closes: #566530)
  * Remove bashisms from those script wrappers (Closes: #530209, #530210)
  * Set dedicated cvar to 1 by default, to not advertise unconfigured servers
    to the master server; use "+set dedicated 2" to advertise your server
    (Closes: 485579)
  * Apply part of upstream r785 to fix disappearing cursor on errors
    (Closes: #473848)
  * Apply part of upstream r756 to fix sorting by ping, and install the
    modified menu to override the one in tremulous-data (Closes: #476621)
  * Disable JIT QVM compiler (which seems to crash on startup) on x86-64,
    falling back to the architecture-neutral QVM interpreter
  * Improve the tremulous-server init script (Closes: #469576):
    - stop the process correctly
    - disable the tremulous-server init script by default - enable it in
      /etc/default/tremulous-server if you want a system-wide instance
    - run tremded under a dedicated user ID, not as nobody (which shouldn't be
      used like this)
    - give that dedicated user ID a home directory, since Tremulous needs one
  * Fix sections in menu and doc-base
  * Add ${misc:Depends}
  * Advance to Debhelper 7 compatibility
  * Fix section of tremulous-doc
  * Fix hyphen/minus confusion in man pages
  * Fail prerm on errors
  * Stop creating empty directories
  * Correct .desktop categories, and remove obsolete Encoding key
  * Standards-Version: 3.9.0
    - state in copyright that the package is not in Debian, due to non-free
      dependency
    - known violation: embedded copy of libjpeg (reported as a bug)

 -- Simon McVittie <smcv@debian.org>  Sat, 17 Jul 2010 15:19:27 +0100

tremulous (1.1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in init script (closes: #465373)
  * Fixed watch file (closes: #449754)

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 01:37:49 +0200

tremulous (1.1.0-4) unstable; urgency=low

  * Fixed tremulous shell script to run from xqf

 -- Damien Laniel <heretik@tuxfamily.org>  Thu, 14 Jun 2007 14:11:02 +0200

tremulous (1.1.0-3) unstable; urgency=low

  * Changed long description to make FPS and RPS more explicit (Closes: #380065)
  * Removed useless cgame$ARCH.so game$ARCH.so and uix86.so in /usr/lib/tremulous
  * Fixed some bash'ism in /usr/games scripts (Closes: #381871)
  * Applied the patch to remove the warning about OP_BLOCK_COPY on ppc (Closes: #382121)
  * Trying to solve build problems on alpha

 -- Damien Laniel <heretik@tuxfamily.org>  Wed, 27 Sep 2006 22:36:16 +0200

tremulous (1.1.0-2) unstable; urgency=low

  * Changed target architecture to any (Closes: #377419)

 -- Damien Laniel <heretik@tuxfamily.org>  Tue,  8 Aug 2006 20:27:07 +0200

tremulous (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #363581)
  * Made 4 packages : client, server, datas (non-free, different source package) and docs
  * Argued with upstream authors about the data license :
    - The media license exception has been changed to CC-Sa 2.5


=== debian/control ===
Source: tremulous
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 7.0.50), libopenal-dev, libsdl1.2-dev, zip
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-games/tremulous.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/tremulous.git

Package: tremulous
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tremulous-data (>= 1.1.0-1)
Suggests: tremulous-doc, tremulous-server
Description: Aliens vs Humans, team based FPS game with elements of an RTS
 Tremulous is a free, open source game that blends a team based First Person
 Shooter (FPS) game with elements of a Real Time Strategy (RTS) game. Players
 can choose from 2 unique races, aliens and humans. Players on both teams are
 able to build working structures in-game like a Real Time Strategy game.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.


Package: tremulous-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tremulous-data (>= 1.1.0-1),
         adduser
Suggests: tremulous-doc, tremulous
Description: Tremulous server
 The package provides the dedicated server for Tremulous.
 .
 Tremulous is a free, open source game that blends a team based First Person
 Shooter (FPS) game with elements of a Real Time Strategy (RTS) game. Players
 can choose from 2 unique races, aliens and humans. Players on both teams are
 able to build working structures in-game like a Real Time Strategy game.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.


Package: tremulous-doc
Architecture: all
Section: contrib/doc
Depends: ${misc:Depends}
Recommends: tremulous
Suggests: tremulous-server
Description: Tremulous documentation
 This package contains the PDF manual for the Tremulous client and server.
 .
 Tremulous is a free, open source game that blends a team based First Person
 Shooter (FPS) game with elements of a Real Time Strategy (RTS) game. Players
 can choose from 2 unique races, aliens and humans. Players on both teams are
 able to build working structures in-game like a Real Time Strategy game.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

BUILD_FLAGS=

# Not using dpkg-architecture to keep in sync with tremulous's Makefile
Q3ARCH=$(shell uname -m | sed -e s/i.86/x86/ | sed -e s/alpha/axp/)
# We don't want tremulous to automatically optimize for i586 or i686!
ifeq ($(Q3ARCH),x86)
	BUILD_FLAGS="OPTIMIZE=-O3 -march=i486 -fomit-frame-pointer -ffast-math -funroll-loops -falign-loops=2 -falign-jumps=2 -falign-functions=2 -fstrength-reduce"
endif

BUILD_DIR=build/release-linux-$(Q3ARCH)

build clean binary-indep binary-arch binary install install-indep install-arch: %:
	dh $@

override_dh_auto_clean:
	rm -fr build

override_dh_auto_build:
	$(MAKE) $(BUILD_FLAGS)
	cp build/release-linux-$(Q3ARCH)/tremulous.$(Q3ARCH) build/release-linux-$(Q3ARCH)/tremulous
	cp build/release-linux-$(Q3ARCH)/tremded.$(Q3ARCH) build/release-linux-$(Q3ARCH)/tremded
	zip -9 debian/z-debian-tremulous-ui-fixes.pk3 ui/joinserver.menu

override_dh_compress:
	dh_compress -X.pdf

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php tremulous-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/tremulous-(.*)\.tar\.gz
#http://ovh.dl.sourceforge.net/sourceforge/tremulous/tremulous-1.1.0.zip

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/tremulous-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/tremulous/tremulous-(\d+.*)\.zip
